Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class CompilingStylesheetHandler

    java.lang.Object
      |
      +--org.apache.xalan.processor.StylesheetHandler
            |
            +--org.apache.xalan.processor.CompilingStylesheetHandler

public class CompilingStylesheetHandler
extends StylesheetHandler

**For advanced use only** Initializes and processes a stylesheet via SAX events. This differs from StylesheetHandler in adding a post- processing stage which attempts to replace part or all of the recursively-interpreted Templates collection with Java code, which is generated, compiled, and patched back into the tempate trees.

See Also:
  `StylesheetHandler`

Constructor Summary
`CompilingStylesheetHandler(StylesheetProcessor processor)` **For advanced use only** Create a StylesheetHandler object, creating a root stylesheet as the target.

Method Summary
`void` | `endDocument()` **For advanced use only** Receive notification of the end of the document.

Methods inherited from class org.apache.xalan.processor.StylesheetHandler
`characters, createXPath, endElement, endPrefixMapping, error, fatalError, getBaseIdentifier, getLocator, getNamespaceForPrefix, getNamespaceForPrefix, getOriginatingNode, getStylesheetRoot, getTemplates, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setBaseID, setDocumentLocator, setOriginatingNode, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warn, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilingStylesheetHandler

    public CompilingStylesheetHandler(StylesheetProcessor processor)
                               throws ProcessorException

  **For advanced use only** Create a StylesheetHandler object, creating a root stylesheet as the target.
  Throws:
    May - throw ProcessorException if a StylesheetRoot can not be constructed for some reason.

Method Detail

### endDocument

    public void endDocument()
                     throws SAXException

  **For advanced use only** Receive notification of the end of the document. Run standard cleanup of the internal representation, then start trying to replace that rep with custom code.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    endDocument in class StylesheetHandler
  See Also:
    `ContentHandler.endDocument()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.